<?php

namespace Ulmus\Ldap\Entity;

use Ulmus\Ldap\Entity\Field\{ Datetime };

use Ulmus\Attribute\Property\{Field, Filter, Relation, Virtual};

use Ulmus\Entity\EntityInterface;
use Ulmus\EntityCollection;
use Ulmus\Ldap\Attribute\Obj\ObjectClass;
use Ulmus\Ldap\Repository;
use Ulmus\Repository\RepositoryInterface;

#[ObjectClass("group")]
class GroupMember implements EntityInterface
{
    use \Ulmus\Ldap\EntityTrait;

    #[Field]
    public string $member;
}